SearchStatus (gCube Species Discovery 3.3.0-SNAPSHOT API)
Date: 2013-07-19

org.gcube.portlets.user.speciesdiscovery.shared

## Class SearchStatus

- java.lang.Object
- - org.gcube.portlets.user.speciesdiscovery.shared.SearchStatus

- All Implemented Interfaces:
    Serializable

      public class SearchStatus
      extends Object
      implements Serializable

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `isMaxSize`
    `protected boolean` | `resultEOF`
    `protected int` | `size`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SearchStatus()`
    `SearchStatus(boolean resultEOF, int size, boolean isMaxSize)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getSize()`
    `boolean` | `isMaxSize()`
    `boolean` | `isResultEOF()`
    `void` | `setIsMaxSize(boolean isMaxSize)`
    `void` | `setResultEOF(boolean resultEOF)`
    `void` | `setSize(int size)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### resultEOF

          protected boolean resultEOF

    - #### size

          protected int size

    - #### isMaxSize

          protected boolean isMaxSize

  - ### Constructor Detail

    - #### SearchStatus

          public SearchStatus()

    - #### SearchStatus

          public SearchStatus(boolean resultEOF,
                      int size,
                      boolean isMaxSize)

      Parameters:
        `resultEOF` -
        `size` -

  - ### Method Detail

    - #### isResultEOF

          public boolean isResultEOF()

      Returns:
        the resultEOF

    - #### setResultEOF

          public void setResultEOF(boolean resultEOF)

      Parameters:
        `resultEOF` - the resultEOF to set

    - #### getSize

          public int getSize()

      Returns:
        the size

    - #### setSize

          public void setSize(int size)

      Parameters:
        `size` - the size to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### isMaxSize

          public boolean isMaxSize()

    - #### setIsMaxSize

          public void setIsMaxSize(boolean isMaxSize)

Copyright © 2013. All Rights Reserved.